Bug 624416 - Documentation does not warn of auto-correcting configuration parameters in store
Documentation does not warn of auto-correcting configuration parameters in store
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Alison Young
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 07:50 EDT by Kim van der Riet
Modified: 2012-09-21 08:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 00:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim van der Riet 2010-08-16 07:50:52 EDT
This bug is a result of bug 620742. 

The store will change some of its configuration parameters (see 6.3. Configuring the Journal - http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.3/html/Messaging_User_Guide/sect-Messaging_User_Guide-Persistence-Configuring_the_Journal.html) to legal values if the supplied values are out of range. This behaviour is not consistent with that of the broker, and there should be some warning about this in the store documentation.

I suggest the following (please feel free to adapt, other suggestions welcome):

1. Place an info or note style box below table 6.1 with the heading "Auto-correcting parameters" and the following text:

----

Note that if an out-of-range or illegal parameter is supplied to the store, it will automatically replace it with the closest legal value and place a warning in the log file rather than fail. This applies to all numeric parameters, ie num-jfiles, jfile-size-pgs, wcache-page-size, tpl-num-jfiles, tpl-jfile-size-pgs and tpl-wcache-page-size.

For example, starting the store with --num-jfiles 1 (which is out-of-range, the minimum allowed is 4), the store will automatically substitute a value of 4 and place the following warning into the log file: "warning parameter num-jfiles (1) is below allowable minimum (4); changing this parameter to minimum value."

Similarly, if a value which is not a power of 2 is given the for wcache-page-size parameter, the closest power of 2 will be substituted with a warning in the log file.

----

2. Add the following sentence to each of the affected parameters (ie all of them in table 6.1 except the first one):

"See the notice "Auto-correcting Parameters" below, which applies to this parameter."
Comment 1 Jonathan Robie 2010-08-27 12:17:32 EDT
Fixed in checked-in doc source, will show in next build.
Comment 2 Alison Young 2011-03-17 00:22:26 EDT
Closed as fix already implemented

Note You need to log in before you can comment on or make changes to this bug.